FlashFXP v3.0 Build 1010 - 06/10/2004
1. Minor bugfix
2. Extended RC timeout to July 31st, 2004

FlashFXP v3.0 Build 1009 - 06/10/2004
1. CHG: Changed the way the Internet Explorer plugin is enabled/disabled. From now on, register of dll only happens on install. This required re-working how flashfxp handles the plugin as well as a change in the setup. 

FlashFXP v3.0 Build 1008 - 06/09/2004
1. FIX: Fixed remote treeview broken in 1006.
2. FIX: Fixed in some cases the ftp server timezone was set to GMT-12
3. FIX: Fixed when using the IE plugin to d/l a file and both views are remote view FlashFXP connected to the left and queued the file from the right.
4. CHG: You can no longer modify the site name of a Quick Connect entry via the Site Manager, renaming isn't allowed.
5. CHG: If you directly type a ftp:// url into the IP Address field in the Site Manager the url is parsed on connect rather than failing.

FlashFXP v3.0 Build 1007 - 06/07/2004
1. FIX: A bug fix in 1006 revealed a new issue where most of the event timers failed to update properly.

FlashFXP v3.0 Build 1006 - 06/07/2004
1. FIX: Fixed a small memory leak on exit.
2. FIX: FlashFXP wasn't waiting for the ready signal before sending a site "perform on connect" custom command.

FlashFXP v3.0 Build 1005 - 06/04/2004
1. FIX: Removed an uneeded delay during FXP transfers. 
2. FIX: Sometimes editing a remote file resulted in an A/V and you were unable to upload the file after edit.

FlashFXP v3.0 Build 1004 - 06/02/2004
1. FIX: Sometimes the proper connection failed message was surpressed by "connection failed" when in fact the connection may have been "connection refused"
2. FIX: On list failure the internal list wasn't properly cleared before trying again.
3. CHG: Right-clicking on Parent Folder in the local browser and selecting "Explorer Menu" will now show the menu for the current folder.
4. FIX: Fixed Site Manager / Options Tab / Case conversion not enabling the Apply button.

FlashFXP v3.0 Build 1003 - 05/30/2004 
1. FIX: The transfer rate was calculated incorrectly in kbps mode for listing and FXP transfers. 
2. CHG: Removed Set Font and Color from the editor window when displaying the ftp session/welcome message.
3. NEW: Added command line parameter -ruleset="<name>" to select a pre-defined Selective Transfer ruleset.

FlashFXP v3.0 Build 1001 - 05/29/2004 
1. FIX: When changing the status window font the Apply button wasn't being enabled. 
2. CHG: The welcome message popup window now uses the status window font. 
3. NEW: When you select a group in the Site Manager FlashFXP will show stats for the selected group on the stats tab. 
4. NEW: You can now adjust your Quick Connect History limit via the Quick Connect Advanced Tab.

FlashFXP v3.0 Build 1000 RC3 05/28/2004

1. FIX: Fixed a bug in high speed ssl uploads. 
2. FIX: the new tab stop option value wasn't being set on the pref dialog, causing it to reset if checked. 

FlashFXP v3.0 build 999 RC2 05/27/2004

1. FIX: The Help tab text in the Custom Command Dialog came up missing.
2. FIX: Bookmarks weren't being loaded properly when switching between local and remote view.
3. FIX: Improved error handling for a list failure.
4. FIX: Resolved a bug in the "Allow local browsing during download" feature.
5. FIX: The Transfer Graph history wasn't clearing on clear.
6. NEW: Added new option Preferences / Options Tab / "Use old style tab stops"
7. FIX: Some FTP server replies weren't handled properly when using SSL/TLS. 
 
FlashFXP v3.0 Build 995 - 05/16/2004
Crazy....

FlashFXP v2.2 Build 994 - 05/05/2004
1. FIX: This release addresses several major SSL issues that appeared in the past couple builds.
2. FIX: resolved ssl cert parse error when handling the email address.

FlashFXP v2.2 Build 993 - 05/03/2004
1. FIX: The transfer graph position setting is really fixed now. 
2. CHG: I rewrote all of the old menu splitting code.
3. FIX: Some of the View option labels were reversed.
4. FIX: Under some circumstances uploading a file via a proxy failed.

FlashFXP v2.2 Build 992 - 05/02/2004
1. FIX: I broke the transfer graph position setting, it's been fixed.

FlashFXP v2.2 Build 991 - 05/02/2004
1. FIX: The setting for the queue/status position was misplaced and lost during the GUI update, it's back.
Some of your GUI layout settings may have reverted back to their defaults due to this change.
2. FIX: Several bug fixes.
3. NEW: Added back the old option "Break Menu At (lines)", which allows you to limit the length of the
site menu, bookmark menu, custom command menu, when the menu becomes longer it will break into 
a new column.

FlashFXP v2.2 Build 990 - 04/30/2004
1. NEW: Added new option (Pref / Advanced Tab) "Allow local browsing during download" default is true.
2. CHG: A couple more resource optimizations.
3. FIX: the custom command line wasn't being updated as expected when executing a command.
4. FIX: The "Check free space on download" option wasn't working properly.

FlashFXP v2.2 Build 989 - 04/28/2004
1. CHG: A couple resource optimizations.
2. FIX: The File Exists dialog now uses the application font.
3. FIX: The "Fast File transfer progress updates" now works properly with ssl/tls file transfers.

FlashFXP v2.2 Build 988 - 04/24/2004
1. FIX: Some layout settings in the View / Options were resetting to the default position.
2. FIX: If you connect to a site and then quickly disconnect and connect to a new site 
sometimes it would start to login and then log off. This was due to the last 
command usually "QUIT" still in the send queue and it was sent after connection.
This bug has been around for awhile, It's good to finally put it to rest.

FlashFXP v2.2 Build 987 - 04/23/2004
Your Grid Style and the Graph Type settings are now incorrect due to changes, please re-adjust your settings.
1. CHG: renamed Colors & Fonts dialog to Options and relocated it under the View menu. 
2. NEW: Added "Transfer speed display units" option in Pref / Display Tab. Display transfer speed in KB/s or Kbps.
3. NEW: Added "Clear graph on connect" to the View / Options dialog.
4. FIX: Fixed problem with the comboboxes not being aligned properly when themes were disabled.
5. NEW: Added Several different graph method options, continuiously, during transfer, while connected.
6. NEW: Added option to set graph grid lines to none.
7. NEW: Added right-click menu to graph with an option to clear.
8. NEW: Added "Fast File transfer progress updates" to Preferences / Display Tab, off by default.
9. FIX: The Y axis values on the right side of the graph are now properly aligned.
10. CHG: The graph data combines the traffic of the control connection, file listing, and ftp file transfers.
11. CHG: The graph now uses the application font.

FlashFXP v2.2 Build 986 - 04/20/2004
1. CHG: A couple minor cosmetic changes to the transfer graph.
2. NEW: Added a couple layout options to the transfer graph (3D, 2D solid, 2D line).
3. CHG: The connection retry count no longer counts each individual IP as a retry.
4. NEW: Added a Filename case conversion ruleset for site to site transfers.
5. NEW: Added per-site option to disable "Force Active Mode IP"

FlashFXP v2.2 Build 985 - 04/18/2004
1. FIX: There was a compatiblity issue when dealing with TLSv1 connections.
2. FIX: Performing a Compare Folder with the option select non-matches failed to select anything if all of the files were different.
3. CHG: The Colors and Fonts dialog has been removed from the Preferences and relocated to the Options menu.
4. NEW: Added a new Transfer Graph, Can be activated via the View Menu. Graph colors can be adjusted via the Colots and Fonts dialog.

FlashFXP v2.2 Build 984 - 04/07/2004
1. NEW: Added a Backup and Restore feature. This will backup all 8 data files to a single file. The file will be encrypted using your application password protection if you have one set. 
2. FIX: When running multiple instances of FlashFXP from different locations setting an application password in one instance causes all instances to use the new application password even if they were in different folders using different data files.
 
FlashFXP v2.2 Build 982 - 03/29/2004
1. CHG: Minor improvments to the status display.
2. NEW: New option "Reveal password selecting password field".
3. CHG: Copy URL no longer prompts for the site password.

FlashFXP v2.2 Build 981 - 03/24/2004
1. FIX: A divide by zero error slipped by.
2. FIX: Access violation at address 004C4F77 in module 'FlashFXP.exe'. 
Read of address 00000294
3. FIX: Browsing My Computer while containing a disconnected network drive
was extremely slow because it was trying to get the disk usage. 
4. FIX: Several bug fixes in the local path combobox component. Hopefully
I didn't break anything. This is a very touchy component.
5. CHG: Several changes have been made to the statusbar to reduce flicker.

FlashFXP v2.2 Build 980 - 03/20/2004
1. CHG: Another change to the internal text editor to improve Terminal Font
support.

FlashFXP v2.2 Build 979 - 03/17/2004
1. CHG: An internal change to the text editor.
2. CHG: Some changes to how FTP listings are handled.
3. FIX: Select All from the FTP Search dialog didn't properly update 
the selection total shown in the status bar.

FlashFXP v2.2 Build 978 - 03/15/2004
1. FIX: Local view sort ascending/descending was accidently reversed.
2. NEW: Yet another new method of keeping the view origin after a folder
compare, does this work ok?
3. FIX: Some of the optimizations in build 977 broke proxy support.
4. NEW: You can now access the internal text editor directly via the Tools menu.
5. CHG: Now when viewing the status window inside of the text editor the status
window font type and background color are used.

FlashFXP v2.2 Build 977 - 03/12/2004
1. CHG: Several optimizations and a couple minor bug fixes.
2. CHG: Show hidden files is now the default value.
3. NEW: Added new sound event 'disconnect'.
4. NEW: Added new option to Site Manager / Options, Site does not support FEAT command.
This allows you to turn off FEAT support, but is not recommended for
servers that do support FEAT. Doing so will limit functionality.
5. CHG: Improved upload/download transfer performance and speed. For optimal 
highspeed transfers (i.e. lan) an upload packet size of 8kb or greater is
recommended. The packet size can't be changed while connected to a ftp.
6. NEW: Transfer times are now displayed in hours minutes seconds.

FlashFXP v2.2 Build 976 - 03/05/2004
1. NEW: Added Total Size and Total Free columns to My Computer display.
2. CHG: Several internal routines were rewritten to improve performance.

FlashFXP v2.2 Build 975 - 03/04/2004
1. NEW: The CHMOD dialog now allows you to seperately set file & folder modes.
2. NEW: Added a per-site Ident USER ID field.

FlashFXP v2.2 Build 974 - 03/02/2004
1. FIX: Selective Transfer should now work as it was intended.
2. FIX: Displaying ftp session in the internal editor sometimes caused a lock up.
3. FIX: Resume bug during FXP with "Use APPE for upload resume" unchecked.
4. FIX: Improved support for using the terminal font with the internal editor. 

FlashFXP v2.2 Build 973 - 02/27/2004
 1.  NEW: ftp sessions now appear in color when viewed inside the internal editor. 
 2.  NEW: Added Load/Save as Rich Text Format (*.RTF) to the internal editor, 
          save the ftp session as RTF to retain color codes. 
 3.  FIX: Right-clicking on remote ftp list sometimes generated a internal error
         (not seen by the user).
 4.  NEW: Added option "Use this IP only for non-port 21 and SSL/TLS connections".
          (works in combination with "Force active mode to use this IP")
          This option is a must for people like myself who are behind a router 
          with Network Address Translations (NAT). Not all NATs are created equal,
          For example take my router it messes up if you send PORT with any IP but
          the actual LAN IP on standard port 21 ftp connections.
 5.  CHG: The force IP for PORT mode option has been improved.
 6.  CHG: Several minor GUI changes.
 7.  NEW: Added duplicate item checking when dropping files from explorer.
 8.  FIX: Fixed Windows XP theme compatibility issue with the theme roue201.
 9.  CHG: The command line param -local=<path> has been renamed to 
          -local_path=<path>
10.  NEW: Added new command line param -remote_path=<path> after establishing a
          connection the remote path will be changed to this, this overrides
          the default remote path.
11.  NEW: New option "move successful entry to top of list" in the IP Address Dialog.
12.  CHG: The errorlog.txt is now limited to 500KB.
13.  NEW: Added new file exist option "Only resume files transferred in binary mode".
          When checked if your matching rule is to resume and the file is ASCII it 
          will be overworte instead.
14.  NEW: A Refresh of the listing will now reset a modified path in the combobox.
15.  FIX: Under rare circumstances FlashFXP would get stuck in an infinite loop
          while searching the file list.
16.  NEW: Added new Selective Transfer feature, located on the Tools menu and for
          convenience to the right of the Transfer Queue button. This powerful 
          feature allows you to define transfer sets that will allow or disallow
          matching file/directory patterns. i.e. a web developer might add *.php
          so he could download just the php files from his website.

============================================

FlashFXP v2.2 Build 972 - 02/27/2004
1. NEW: ftp sessions now appear in color when viewed inside the internal editor. 
2. NEW: Added Load/Save as Rich Text Format (*.RTF) to the internal editor, 
save the ftp session as RTF to retain color codes. 
3. FIX: Right-clicking on remote ftp list sometimes generated a internal error
(not seen by the user).
4. NEW: Added option "Use this IP only for non-port 21 and SSL/TLS connections".
(works in combination with "Force active mode to use this IP")
This option is a must for people like myself who are behind a router 
with Network Address Translations (NAT). Not all NATs are created equal,
For example take my router it messes up if you send PORT with any IP but
the actual LAN IP on standard port 21 ftp connections.
5. CHG: The force IP for PORT mode option has been improved.
6. CHG: Several minor GUI changes.
7. NEW: Added duplicate item checking when dropping files from explorer.
8. FIX: Fixed Windows XP theme compatibility issue with the theme roue201.
9. CHG: The command line param -local=<path> has been renamed to 
-local_path=<path>
10. NEW: Added new command line param -remote_path=<path> after establishing a
connection the remote path will be changed to this, this overrides
the default remote path.
11. NEW: New option "move successful entry to top of list" in the IP Address Dialog.
12. CHG: The errorlog.txt is now limited to 500KB.
13. NEW: Added new file exist option "Only resume files transferred in binary mode".
When checked if your matching rule is to resume and the file is ASCII it 
will be overworte instead.
14. NEW: A Refresh of the listing will now reset a modified path in the combobox.
15. FIX: Under rare circumstances FlashFXP would get stuck in an infinite loop
while searching the file list.
16. NEW: Added new Selective Transfer feature, located on the Tools menu and for
convenience to the right of the Transfer Queue button. This powerful 
feature allows you to define transfer sets that will allow or disallow
matching file/directory patterns. i.e. a web developer might add *.php
so he could download just the php files from his website.

============================================

FlashFXP v2.2 Build 971 - 02/14/2004
1. This release will work in unregistered mode where build 970 did not.

============================================

FlashFXP v2.2 Build 970 - 02/11/2004
1. Fixed bind to ip bug where connecting to an external ftp and then a local ftp gave incorrect results.
2. Improved FXP error handling routine.
3. Fixed logic error that prevented the ident server from stopping after changing the preferences.
4. Fixed EInvalidPointer error.

============================================

FlashFXP v2.2 Build 968 - 02/05/2004 
1. Couple minor bug fixes. 
With the help of extended debugging and users sending me their debug logs (THANKS!)
I managed to resolve some minor but nagging bugs.

============================================

FlashFXP v2.2 Build 967 - 02/02/2004
1. Several minor bug fixes. 

============================================

FlashFXP v2.2 Build 966 - 01/29/2004
1. Compiled with extended debug information

============================================

FlashFXP v2.2 Build 965 BETA - 01/28/2004

1. This build resolves several bugs that were reported in 964.
2. FlashFXP will no longer update all of the registry settings on startup.
(File Associations and the FlashFXP location) These are set during
installation via the installer. However if you need to update their value
you can run FlashFXP with the command line flashfxp.exe -setreg
If you move FlashFXP into a new folder you will need to run this command
otherwise it will be pointing to the old folder.
3. Added clear history to the right click popup menu of the raw command line.

============================================

FlashFXP v2.2 Build 964 BETA - 01/24/2004

1. Several minor bug fixes.
2. Added INI only setting. If you have multiple network interfaces on your 
system and want to force FlashFXP to use a specific interface.
[main]
bind_addr=<ip>
3. Renamed the Proxy/Firewall/Ident tab to Connection Tab
4. SSL/TLS optimizations and improvements.

============================================

FlashFXP v2.2 Build 963 BETA - 01/22/2004

1. Fixed File/Directory Highlights which somehow managed to break in 962.

============================================

FlashFXP v2.2 Build 962 BETA - 01/22/2004

1. Fixed drag/drop move file bug.
2. Added 'Hibernate' to the list of on transfer complete events.
3. Optimized and improved Transfer Queue routines.
(If you were connecting to the same site as in the queue and then started 
the queue in previous versions it would logoff and then reconnect)
4. I discovered a compatiblity issue with some SSL FTP servers, some ftp 
servers close the data connection without issuing a proper shutdown.
Which triggered a SSL_ERROR_SYSCALL and the socket was closed. This was bad
because there may of been more data in route. I have come up with a solution
that seems to work perfectly.

============================================

FlashFXP v2.2 Build 961 [Beta] - 01/20/2004
1. Fixed stack overflow under Windows 2003 when selecting a path 
from the dropdown box.
2. Minor bug fixes.

============================================

FlashFXP v2.2 Build 960 [Beta] - 01/17/2004

1. SSL/TLS now works properly with HTTP proxy connections.
(I personally tested this with SQUID 2.4.STABLE6)
2. Fixed some issues with the queue column sizing.
3. Fixed PRET, tested and confirmed using drftpd.
(I was under the impression that PRET was fully functional with the last
fix but apparently I was wrong.)
4. For now I have decided to remove the focus rect from the status window.

============================================

FlashFXP v2.2 Build 959 [Beta] - 01/12/2004

1. Added a new expierimental feature, if you click on the status window
basic keyboard navigation will be accepted, up, down, page up, page down.
2. Added a "New Session" shortcut to the system tray menu.
3. I was informed that FlashFXP does work under WINEX, but still not WINE.
4. Improved the internal text editor find feature, it now works the way
most would expect it to. Added support for optionally setting the column
when using the Goto line feature.

============================================

FlashFXP v2.2 Build 957 ALPHA

1. When downloading many little files FlashFXP will now force the local 
listing to update the list atleast once per every 2 seconds. 
Perviously the list did not refresh until 400ms after the last transfer; 
however if the transfer completed and the next file started in less than 
400ms the update did not occur. 
2. re-did the "File Exists Options" dialog to include tabs, a global tab and 
one for the currently selected site. 
3. A patch has been applied to the local tree listing to reduce delays 
associated with disconnected networked drives. 

============================================

FlashFXP v2.2.955 [BETA] - 01/05/2004

1. Fixed the toolbar and the combobox issue.

============================================

FlashFXP v2.2.955 [BETA] - 01/05/2004

1. Quickscroll buttons on the mx700 work now
2. missing drive label is fixed
3. Disk letter bug is fixed for me as well.
4. The crooked local pane problem is fixed as well.
5. Drive name/letter issue working here, as is mouse wheel scrolling in local dropdown.
6.......

============================================

FlashFXP v2.2 Build 954 [BETA] - 01/04/2004

1. Maybe this works better, i know it doesn't fix all the problems.

============================================

FlashFXP v2.2 Build 953 [BETA] - 01/03/2004
This build addresses two previously reported bugs.

1. Fixed Windows 9x runtime error
2. Fixed Windows 2003 display bug with local combobox.
 
============================================

FlashFXP 2.2 Build 952 Beta - 01/03/2004

1. resolve the problems reported in build 951
2. added an option to export the ftp search as a CVS file.  
 
============================================

FlashFXP 2.2 Build 951 Beta - 12/30/2003

1. This release is for both registered and unregistered users.
2. This is a maintance release to extend the expiration another month.

============================================

FlashFXP v2.2 Build 950 BETA - 12/11/2003 

1. Fixed FTP file search bug when resorting the columns 
2. More tweaks to adjusting the layout, this should help solve any GUI 
   misalignments, if not please let me know support@flashfxp.com, a 
   screenshot would be most helpful. 
3. I believe I eliminated the flicker at the top of the window while loading. 
4. I came up with an idea to resolve the maximize issue, not sure if it's the 
   best solution. Question is does it work for everyone? or what did it break. 
5. Fixed time zone calculation bug. 
6. Fixed list capacity out of bounds error.

============================================

FlashFXP v2.2 Build 949 BETA - 12/09/2003

1. FlashFXP is no longer compatible with WINE, Switching to the OwnerData 
   listview has broken compatiblity, it's unlikely that WINE will be supported.
   WINE needs to be made more compatible with FlashFXP.
   |- After reviewing the wine source code I believe the problem is located here
      http://source.winehq.org/source/dll...tl32/listview.c line 2971 & 2972
      2971 for (i = nFirst; i <= nLast; i++)
      2972 LISTVIEW_SetItemState(infoPtr,i,&item);
      The Problem: In OwnerData mode the OnData event is triggered when the 
      ItemState changes. However in the OnData event we set the item state. 
      I suspect this causes an infinite loop.
2. Improved queue list sort formula, priority items are now sorted as expected.
3. Added Time Zone setting to Site Manager, By setting the time zone
   File/Folder times are displayed in your local time zone.

============================================

FlashFXP v2.2 Build 947 BETA - 12/05/2003
1. Several Windows XP theme improvements
2. Fixed sorting issue in the FTP Search dialog
   |- The ownerdata listviews require a new sort method.
3. First implementation of queue sorting.
   |- Suggestions welcome

============================================

FlashFXP v2.2 Build 946 BETA - 12/03/2003

1. PROT is now used on Implicit SSL connections.
2. The nibbles game now has it's own taskbar icon.
3. Toned down the tray icon changes made in 945, Please let me know if your tray icon continues to disapear like in previous builds.
4. A few other minor bug fixes and changes

============================================

FlashFXP v2.2 Build 945c BETA - 11/30/2003

1. Fixed remote listview display problem when a bold font was selected.
   |- I thought it was fixed in 945b, guess I should of tested it more.

============================================

FlashFXP v2.2 Build 945b BETA - 11/30/2003

1. Extended expiration date
2. Fixed remote listview display problem when a bold font was selected.

============================================

FlashFXP v2.2 Build 945 BETA - 11/29/2003

1. The symbolic link overlay icon fix made in 944 didn't work as good as expected. So a new method has been found that seems to work perfectly.
2. I made some changes to the tray icon so that if a 3rd party application deletes the tray icon, the icon will automatically be re-added. This will not have any effect to windows XP hidding inactive icons, since windows XP doesn't actually delete the tray icon. An error will be displayed in the status window if FlashFXP suspects a 3rd party application has deleted the tray icon. Please let me know if this happens and including all programs that were running at the time.

============================================

FlashFXP v2.2 Build 944 BETA 

1. Fixed symbolic link overlay icon.
2. Fixed many listview related problems caused by the new owner data listview

============================================

FlashFXP v2.2 Build 943 BETA - 11/25/2003

1. Fixed The Parent Directory entry no longer shows Size/Date.
2. Fixed Compare filename & Size option.
3. Compare Folders Exact Matching is now case insensitive.
4. Fixed selection count after performing a Compare folders.
5. Fixed listview selection after dragdrop.

Known Bugs
1. The folder shortcut (symbolic links) still isn't being displayed

============================================

FlashFXP v2.2 Build 942B BETA - 11/22/2003

1. Rewrote major parts of the remote ListView that relate to data handling.
กก|- Major performance gained on large listings and operations involving the file list.
กก|- These changes directly effect many features, please let me know if you find one that doesn't work the way it used to or seems buggy.
2. Rewrote the entire compare folders feature.
กก|- The new compare should be faster and more exact. 
กก(in some instances the old routines would miss matches)

============================================

FlashFXP v2.2 Build 941B BETA - 11/18/2003

1. Reduced flickering on checkboxes
2. Fixed item selection after item delete in the queue list.
3. Fixed all remaining queue problems

============================================

FlashFXP v2.2 Build 940F BETA - 11/16/2003

1. Improved some resources of Space, Site, Main, Find.
2. Lots of minor bug fixes

============================================

FlashFXP v2.2 Build 939 BETA - 11/14/2003

1. Fixed List Index out of bounds error on startup when Auto Column sizing was turned off.

============================================

FlashFXP v2.2 Build 938 BETA - 11/13/2003 

1. Add 2 Pictures - "Up" and "Down" arrow.
2. Improved some resources of Site Manager, Queue, Quick, Preferences and Site.
3. Lots of minor bug fixes
4. and other, maybe, i don't know...

============================================

FlashFXP v2.2 Build 937 BETA - 11/09/2003 

1. Full support for Windows XP themes 
  |- There are two minor theme gitches that I am aware of. 
  |- 1. Mouse over the listview columns doesn't highlight the columns. 
  |- 2. In the Site Manager / Stats tab, the two buttons don't properly draw their background. 
  |- Please let me know of any other problems I overlooked or Themes that aren't compatible with FlashFXP

============================================

FlashFXP v2.2 Build 936 Beta Debug Version - 11/04/2003

1. Removed FlashFXP Symbol Font
2. Bugs Fix, I Think...

============================================

FlashFXP v2.2 Build 935 Beta Debug Version - 11/02/2003

1. Improved Ident Daemon
  |- Optimized memory/resource management.
  |- Restricted the maximum number of concurrent ident requests to 15.
  |- Restricted the maximum wait time for a connected socket to 60 seconds. 

2. Fixed pasting into raw command line resulted in an access violation.

3. Fixed arrows on buttons

4. Fixed SSL resume on upload when using STOR, I broke it when I added PRET support.
  |- Special Thanks to dark0n3 for bringing this to my attention.

5. Lots of minor bug fixes

============================================

FlashFXP v2.2 Build 934 BETA - 10/29/2003 

1. Fixed - When Editing bookmarks for "My Computer" via the bookmark menu the 
"My Computer" entry did not become selected in the Site Manager. 

2. The Calculate FTP Space used dialog is no longer on top when FlashFXP is inactive. 

3. Fixed paste url in the Site Manager. 

4. Removed INI only "XMouse" setting, We've made alot of progress with supporting scroll wheel mice and I don't believe this alternative method is still needed. 
- Please let me know if you use the XMouse setting and still require it. 

5. Copy URL now correctly copies the IPORT for multi-ip sites. 

6. Fixed bug that introduced a empty iport field in a multi-ip site if you create a new site and then added the first ip via the ip address dialog. 

7. Site Notes and the Perform on connect commands now allow input of a ; semi-colon. 

8. **Updated** Improved support for ftp servers running on a LAN. 
  |- John Long the author of RaidenFTPD helped me to realize a logic error 

9. Fixed bug where SSL data connection failed when auto switching from PASV to PORT. 
  |- Special thanks to John Long author of RaidenFTPD for pointing this out. 

10. Fixed bug in the bind to external address routine. 

11. Changed command line behavior of how a ftp:// link to a file is handled. 
  |- The file is now placed in the queue, previously FlashFXP just entered the folder where the file was stored. 

12. Added -get command line param, when passed FlashFXP will transfer a file passed via the command line i.e. ftp://ftp.myhost.com/download.exe 

13. The Up/Down arrows should now display correctly for those of you who encountered problems with them. 

14. Minor change to the local browser, this should provide a slight speed improvment. 

============================================

FlashFXP v2.2 Build 933 BETA - 10/24/2003 

1. Fixed most if not all issues found in the calculate ftp space used dialog. 

2. Fixed bug in ftp engine that was introduced into build 932/931 that ignored the FEAT reply list. 

3. Fixed bug in the local dropdown that generated a "cavas does not allow drawing" error. 

============================================ 

FlashFXP v2.2 Build 932 BETA - 10/22/2003 

1. Improved calculate ftp space used dialog 
  |- clicking on the details button will reveal per-folder statistics 
  |- Suggestions welcome 

2. When connecting to a site via the connect menu that side now becomes 
   |- the selected side. 

3. The & symbol in site names now appears corrected on the reconnect to menu. 

4. Added support for multiple ip:port entries per site. 
  |- If you leave off the port then the default port for that site profile is used. 
  |- Suggestions welcome 

5. With Sharks help I finally resolved the local dropdown path drawing issue. 

============================================ 

FlashFXP v2.2 Build 931 BETA - 10/16/2003 

1. Fixed SSL error that caused problems accepting certificates from some 
  |- ftp servers. 

2. Fixed error when browsing My Network Places on WinXP 
  |- Other OS's may have been effected as well. 

3. Fixed statusbar drawing issue (i think?) 

============================================ 

FlashFXP v2.2 Build 930 BETA - 10/15/2003 

1. The list method of -aL is now switched back to -al 
  |- Later on I'll add some checkboxes for toggling different list options 
  |- It seems most people would rather see symbolic links separate 

2. When Deleting; symbolic links are now treated and deleted as files 

3. Bind to external IP is now switched back to binding on connect 

4. FlashFXP no longer requires modified ssl dlls, the standard dlls 
  |- can now provide full functionality 

5. Added support for 'stat -l' fast directory list 
  |- Supported by raidenftpd, glftpd, microsoft ftpd, proftpd, pureftpd 
  |- Site Manager\Options Tab 
  |- Alternative FXP Options were relocated to the Advanced Tab. 

6. Improved Import Dialog 
  |- The user can now select which group to import the sites into. 
  |- Improved support for skipping or overwriting existing sites. 
  |- Added Support for importing Total Commander Sites 

7. Resolved drawing problem when scrolling the listview with gridlines active 
  |- This solution may cause some minor flickering while scrolling? 

8. Happy Birthday to me :=P 

============================================ 

FlashFXP v2.2 Build 929 BETA - 10/12/2003
 
1. Modified FXP error handling. 
  |- Please let me know if this is better or worse. 

2. **Updated** Improved support for ftp servers running on a LAN. 
  |- If you connect via a proxy server this auto detection is now 
  |- bypassed since some proxies rewrite the PASV reply with their ip address. 

3. The find dialog is now populated correctly with the current folder. 

4. Added "New Group" button to Add Site Dialog 

============================================= 

FlashFXP v2.1 Build 928 BETA - 10/09/2003 

1. Added support for PRET (DrFTPD - http://drftpd.mog.se/) 

2. Added support for using standard openssl dlls but with limitations. 
  |- The dlls must be named libeay32.dll and ssleay32.dll respectively. 
  |- both 0.9.6.x and 0.9.7.x dlls are supported. 
  |- by using the standard dlls FlashFXP looses the functionality of displaying 
  |- and verifying the certificate date, you will see the word "unknown" instead. 

3. Fixed maximize bug under windows 2000. 

This release is compiled with extended debugging, A debug.log will be generated in your FlashFXP folder and contain information on any error you encounter. Please include the debug.log if it applies to a problem you encounter. 

============================================= 

FlashFXP v2.2 Build 926 BETA - 10/07/2003 What's new: 

1. Fixed a bug that resulted in the queue not completing, this was caused by the 
  |- 'bind socket to external address' feature failing to resolve the dns after 
  |- losing connection to the site. 
  |- Only users using a DNS address with this feature were effected. 

2. Fixed a bug that resulted in lost site stats, this was caused by exiting 
  |- FlashFXP without first disconnecting from the site. 

3. Previous versions of FlashFXP had a hidden ini option called Debug tags 
  |- this option has been renamed Identification Tags and is located on the 
  |- right click menu of the status window. 
  |- The display has been updated from (1) and (2) to [L] and [R] 

4. Minor change to how the registration details are saved. 

5. Changed local browser drop down box to accept direct text input. 

6. Changed remote borwser drop down box to match. 

7. Rewrote the routine that builds the toolbar to resolve a bug. 

9. Fixed "Activate FlashFXP on Conenct" bug 

10. Changed Bind to external address to support http lookups 
  |- Auto disables for LAN FTP servers (based on ip mask) 
  |- Lookup is now performed prior to the list or transfer 
  |- Basic implementation, error handling to come 
  |- For testing you can use http://repeater.flashfxp.com 
  |- Sample PHP <? print $HTTP_SERVER_VARS['REMOTE_ADDR']; ?> 

11. Added support for FEAT and CLNT 

12. Added support for Secure FXP with raidenFTPd (SSCN) 
  |- http://www.raidenftpd.com/kb/kb000000037.htm 
  |- Might be buggy, please let me know 

13. Improved support for ftp servers running on a LAN. 
  |- FlashFXP will auto detect if the IP returned from PASV is a LAN IP and 
  |- compare it to the ftp server IP, if they don't match and the IP retuned from 
  |- PASV is a LAN IP then FlashFXP will replace it with the ftp server IP.. 
  |- If you connect to a LAN based ftp server and PASV returns a WAN IP address 
  |- FlashFXP will replace it with the ftp server IP.. 
  |- These changes should make the "Site uses IP Masq/NAT/Non-Routable IP" option 
  |- obsolete. Please let me know of any situations where this option is required. 

14. Resolved a possible security issue when using an application password. 
